=== src/Widgets/CMakeLists.txt ===
add_subdirectory(MapDisplay)
