=== src/Workers/CMakeLists.txt ===
add_subdirectory(PointOfInterest)
