=== src/Containers/MapTab/CMakeLists.txt ===
# add your source files here
set(
	MapTab_SRC
		MapTab.cpp
		MapScrollArea.cpp
)

# add headers of widgets that declare Q_OBJECT here
set(
	MapTab_MOC_H
		MapTab.h
)

qt4_wrap_cpp(MapTab_MOC_SRC ${MapTab_MOC_H})

add_library(
	MapTab
		${MapTab_SRC}
		${MapTab_MOC_SRC}
)

add_dependencies(
	MapTab
		mapnav_msgs_gencpp
)
install(TARGETS MapTab DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
