=== src/Widgets/MapDisplay/CMakeLists.txt ===

# add your source files here
set(
	MapDisplay_SRC
		PoiIcon.cpp
		PoiLabel.cpp
		MapDisplay.cpp
		PoiEditor.cpp
)

# add headers of widgets that declare Q_OBJECT here
set(
	MapDisplay_MOC_H
		MapDisplay.h
		PoiEditor.h
)
qt4_wrap_cpp(MapDisplay_MOC_SRC ${MapDisplay_MOC_H})

add_library(
	MapDisplay
		${MapDisplay_SRC}
		${MapDisplay_MOC_SRC}
)

add_dependencies(
	MapDisplay
		homer_mapnav_msgs_gencpp
)
install(TARGETS MapDisplay DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
