=== src/Workers/PointOfInterest/CMakeLists.txt ===
set(PointOfInterest_SRC
  PoiManager.cpp
  PointOfInterest.cpp
)

add_library(PointOfInterestGUI ${PointOfInterest_SRC})
install(TARGETS PointOfInterestGUI DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
