=== debian/changelog ===
ros-indigo-homer-gui (1.0.6-0trusty) trusty; urgency=high

  * added install()
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 20 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.5-0trusty) trusty; urgency=high

  * added dependency pcl
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 14 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.4-0trusty) trusty; urgency=high

  * splitted Readme file
  * moved files to subfolder homer_gui
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 13 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.3-0trusty) trusty; urgency=high

  * removed door_detection_messages dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 13 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.2-0trusty) trusty; urgency=high

  * cleanup
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 13 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.1-0trusty) trusty; urgency=high

  * big bang
  * Contributors: Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Sep 2015 22:00:00 -0000
