=== debian/control ===
Source: ros-indigo-homer-gui
Section: misc
Priority: extra
Maintainer: Viktor Seib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, libopencv-dev, libpcl-1.7-all-dev, libqt4-dev, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-genmsg, ros-indigo-homer-mapnav-msgs, ros-indigo-homer-nav-libs, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-or-libs, ros-indigo-or-msgs, ros-indigo-or-nodes, ros-indigo-robbie-architecture, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rviz, ros-indigo-std-msgs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-homer-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, libopencv-dev, libpcl-1.7-all-dev, ros-indigo-geometry-msgs, ros-indigo-homer-mapnav-msgs, ros-indigo-homer-nav-libs, ros-indigo-message-runtime, ros-indigo-or-libs, ros-indigo-or-msgs, ros-indigo-or-nodes, ros-indigo-robbie-architecture, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rviz, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: commander interface
